Bug 126441 - nautilus "unmount volume" fails when manually mount doesn't match /etc/fstab
nautilus "unmount volume" fails when manually mount doesn't match /etc/fstab
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-21 13:59 EDT by Tom Wood
Modified: 2013-03-05 22:40 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-08 14:13:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom Wood 2004-06-21 13:59:20 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Manually mounting, for example, a USB stick, with arguments that don't
match an entry in /etc/fstab but using the same mount point, fails.

Version-Release number of selected component (if applicable):
nautilus-2.6.0-4

How reproducible:
Always

Steps to Reproduce:
1. mount a USB stick manually as a different device (for example,
/dev/sdb1) that doesn't match the entry in /etc/fstab for that mount
point (/dev/sda, for instance) 
2. Unmount the volume using nautilus
3. Watch error message about this volume not being mounted, as
nautilus reads /etc/fstab instead of /etc/mtab for the system's
current state.
    

Actual Results:  Should have unmounted the volume.

Expected Results:  Error message.

Additional info:

An example to clarify:

Entry in /etc/fstab
/dev/sda   /mnt/stick    vfat noauto,user   0 0

Manual mount command
mount -t vfat /dev/sdb1 /mnt/stick

Nautilus then gets confused, thinking that the stick is at /dev/sda,
not /dev/sdb1, when it tries to unmount volume per user request.
Comment 1 Alexander Larsson 2004-10-19 05:44:54 EDT
Nautilus just uses the "umount" command to unmount. All error messages
are just extracted from umount output.
Comment 2 Tom Wood 2004-10-20 10:05:50 EDT
Reread the bugzilla entry.  This is not about the error messages from
umount.  It's about the fact that nautilus isn't checking where the
device is truly mounted, reading instead /etc/fstab not /etc/mtab.
Comment 3 Alexander Larsson 2004-10-21 03:53:30 EDT
Reread the code. Nautilus calls "umount /mnt/stick", it doesn't read
fstab, nor mtab for this.
Comment 4 Tom Wood 2004-10-25 18:24:01 EDT
Then something even more problematic is afoot here.  What you're
telling me is that mount/umount is broken.
Comment 5 Matthew Miller 2005-04-26 11:22:57 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.